Bug 2103522 - Capsule sync fails with "Parsing interrupted: The repository metadata being synced into Pulp is erroneous in a way that makes it ambiguous (duplicate NEVRAs).." [NEEDINFO]
Summary: Capsule sync fails with "Parsing interrupted: The repository metadata being s...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.10.6
Hardware: All
OS: Unspecified
high
high vote
Target Milestone: 6.12.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
: 2094840 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-04 00:37 UTC by matt jia
Modified: 2022-09-28 15:03 UTC (History)
27 users (show)

Fixed In Version: pulp_rpm 3.14.20, pulp_rpm 3.17.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2122173 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:
dalley: needinfo? (snemeth)


Attachments (Terms of Use)
Hotfix RPM for Satellite 6.10.7 (337.91 KB, application/x-rpm)
2022-08-25 18:12 UTC, wclark
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github pulp pulp_rpm issues 2407 0 None closed Conflicting content being published 2022-08-31 13:34:47 UTC
Github pulp pulp_rpm pull 2668 0 None Merged Allow syncing duplicate NEVRAs, pick the newest one 2022-08-31 13:34:47 UTC
Github pulp pulp_rpm pull 2693 0 None Merged Ensure that Pulp never publishes repos with duplicate NEVRA 2022-08-31 13:34:48 UTC
Red Hat Issue Tracker SAT-12305 0 None None None 2022-08-19 00:36:09 UTC
Red Hat Knowledge Base (Solution) 6663481 0 None None None 2022-08-25 18:14:23 UTC
Red Hat Knowledge Base (Solution) 6962444 0 None None None 2022-08-25 16:21:30 UTC

Description matt jia 2022-07-04 00:37:36 UTC
Description of problem:

Syncing a custom repository to Capsule fails with:

Parsing interrupted: The repository metadata being synced into Pulp is erroneous in a way that makes it ambiguous (duplicate NEVRAs), and therefore we do not allow it to be synced in 'mirror_complete' mode. Please choose a sync policy which does not mirror repository metadata.

Please read https://github.com/pulp/pulp_rpm/issues/2402 for more details.

Version-Release number of selected component (if applicable):


How reproducible:

Easy


Steps to Reproduce:
1. create a custom repository for:

https://yum.enterprisedb.com/edb/redhat/rhel-8-x86_64/

You would need to register an account first:

https://www.enterprisedb.com/accounts/register

After successful registration go to the https://www.enterprisedb.com/software-downloads-postgres - chose Linux x86-64 Access repo
On that page you can generate Repository password.

2. after syncing, add it to a content view

3. sync the content view to a Capsule

Actual results:

The Capsule sync task fails with above error.


Expected results:

The Capsule sync task should finish successfully.



Additional info:

Comment 22 Daniel Alley 2022-08-05 13:12:04 UTC
Update: I've reproduced a scenario where this can happen on my test system and verified that the patch works (the complex one that would be challenging to deploy as a hotfix).

I'm now working on a second patch which should be easier to deploy as a hotfix.

Comment 33 pulp-infra@redhat.com 2022-08-09 10:20:21 UTC
The Pulp upstream bug status is at closed. Updating the external tracker on this bug.

Comment 37 Daniel Alley 2022-08-25 16:21:31 UTC
*** Bug 2094840 has been marked as a duplicate of this bug. ***

Comment 38 Daniel Alley 2022-08-25 16:24:19 UTC
Hotfix RPMs are currently being built & tested

Comment 39 wclark 2022-08-25 18:12:23 UTC
Created attachment 1907644 [details]
Hotfix RPM for Satellite 6.10.7

INSTALL INSTRUCTIONS:

1. Take a complete backup or snapshot of Satellite 6.10.7 server

2. Download the hotfix RPM for Satellite 6.10.7 attached to this BZ and copy it to Satellite server

3. # yum install ./python3-pulp-rpm-3.14.14-2.HOTFIXRHBZ2103522.el7pc.noarch.rpm --disableplugin=foreman-protector

4. # satellite-maintain service restart

AFTER HOTFIX INSTALLATION:

1. Regenerate Metadata for affected Content View Versions or standalone Repositories, following https://access.redhat.com/solutions/6663481

2. Sync the affected Capsules

Comment 50 marek.moldauer 2022-09-05 09:45:16 UTC
Hi

i'm experiencing exactly the same problem with Satellite 6.11.2 - is there possibility to use the same workaround as for 6.10?

Comment 52 Daniel Alley 2022-09-06 23:05:45 UTC
@Marek, 6.11.3 is scheduled to get this fix (tracked as https://bugzilla.redhat.com/show_bug.cgi?id=2122173 for that release). If it is urgent then you can ask for one, though the fix should be available through standard channels in about 2.5 weeks.

Comment 58 wclark 2022-09-13 17:46:45 UTC
Hotfix RPMs are available for this bug for Satellite 6.11.2 on RHEL7 and on RHEL8.

To obtain the hotfixes, please see the cloned bug https://bugzilla.redhat.com/show_bug.cgi?id=2122173 tracking this issue for the upcoming 6.11.3 release

Comment 59 Lai 2022-09-20 00:23:34 UTC
Steps to test

1. Create a product
2. Create 3 custom yum repos for the following:

https://rpm.releases.hashicorp.com/fedora/35/x86_64/stable/
https://yum.centreon.com/standard/21.10/el7/stable/x86_64/
http://mirror.centos.org/centos/7/opstools/x86_64/

3. Choose 'Additive', 'Content Only', or 'Complete Mirroring' for the repos.  Insure each repo has a different selection
4. Sync the custom repos
5. Create a cv and add the repos
6. Spin up a capsule and register it to satellite
7. Publish the cv
8. Check the auto capsule sync
9. You can also manually trigger a complete sync by going to infrastructure -> capsule -> <select capsule> -> complete sync


Expected result:
Capsule should sync without issues in both cases

Actual:
Capsule sync without issues in both cases

After registering the capsule to satellite with the ak, I was able to do yum repolist and get the synced repos.

Verified on 6.12.0 snap 11 with python39-pulp-rpm-3.17.10-3.el8pc.noarch


Note You need to log in before you can comment on or make changes to this bug.